Subject: Re: Picking up include directories automatically
From: [email-masked] ("Mikey")

21 May 1997 06:53:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "JP Shipherd" <[email-masked]>
Original-Cc: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

How about putting export /c/dir because you mounted c:\\ to /c
which was my point in the first place YOU DON'T NEED //

The few programs that I've worked with that did their own path handleing under linux "handled" // by assuming that they were dupes,
and stripping them out whenever they found them, begining middle or end, and since those programs were being compiled on a platform
that "aims" for posix compliance, I  ASS U MEd that // isn't posix, but under gnu-win32, it dosen't work correctly for all
programs, so DON'T USE IT.

if you want to write non portable code, that can only ever be compiled on 1 platform, then go out and buy vc++, or use mingw32.

This mailing list isn't win32, it's gnu-win32. posix unix emulation
on a win32 platform. the more closely you emulate the unix
environment, the better your programs will work.

Any one who prefers command.com or cmd.exe to bash,
csh, tcsh, zsh, or even ash has a large hole in their ummm computer educations.

So drop the stuff from the virtual unix page, and help port your favorite shell it really isn't that hard.

([email-masked])
       the return address for this message is anti spammed
       remove * from the above address to reply.
       Mikey

>At 10:39 AM 5/15/97 -0700, Mikey wrote:
>>Since the dll and gcc now support dos style naming.
>>and the dll supports UNC's the need for // isn't really apparent,
>>at least not to me .
>>I'm kind of surprised that Geoff left the support in the dll,
>>(plus \\\\c is a pretty awkward way to refer to c)
>>
>
>Here's a reason for keeping the //c/dir rather than using the dos c:/dir
>
>export MYPATH=c:/dir

Why would you ever do this under bash anyway?

>
>Now put this in your Makefile and watch gnumake choke:
>
>$(MYPATH)/target.o: target.c
> $(BUILD_OBJECT)
>
>Whoops now you've got a colon in your target.  That just don't work.
>
>--jp
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".